ข้ามไปยังเนื้อหา

Hunyuan3D

ผสานการทำงาน

ID โมเดล hunyuan3d/v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan3d/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.16 160 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Tencent ภาพเป็น 3D #stylized

แปลงภาพอ้างอิงหนึ่งภาพเป็นเมช 3D พร้อมตัวเลือกสร้างพื้นผิวและปรับรายละเอียด octree ได้

Tencent · 3D

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น
วางไฟล์ หรือ

URL รูปภาพที่ใช้สำหรับการสร้างโมเดล 3D

ขั้นสูง num_inference_steps · guidance_scale · octree_resolution · seed
ค่าเริ่มต้น 50

จำนวนขั้นตอนการอนุมานที่จะดำเนินการ

ค่าเริ่มต้น 7.5

สเกลของ guidance ที่ใช้กับโมเดล

ค่าเริ่มต้น 256

ความละเอียดของ octree ของโมเดล

Seed สำหรับสร้างรูปภาพซ้ำได้: พรอมต์และ seed เดียวกันจะให้รูปภาพเดียวกันเมื่อเวอร์ชันโมเดลไม่เปลี่ยนแปลง

POST /run/hunyuan3d/v2?wait=20 ใบเสนอราคา → $0.16
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan3d/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Hunyuan3D

สร้างแอสเซ็ต 3D จากภาพเดียวที่ส่งผ่าน `input_image_url` ตั้งค่า `textured_mesh` เป็น true เพื่อรับผลลัพธ์ที่มีพื้นผิว โดยค่าเริ่มต้นปิดอยู่ `octree_resolution` อยู่ในช่วง 1 ถึง 1024 (ค่าเริ่มต้น 256), `num_inference_steps` สูงสุด 50 และ `guidance_scale` อยู่ในช่วง 0 ถึง 20 การระบุ `seed` ทำให้สร้างผลลัพธ์ซ้ำได้

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
input_image_urlจำเป็น
ประเภทurl · image
URL รูปภาพที่ใช้สำหรับการสร้างโมเดล 3D
seedไม่บังคับ
ประเภทinteger | null
Seed สำหรับสร้างรูปภาพซ้ำได้: พรอมต์และ seed เดียวกันจะให้รูปภาพเดียวกันเมื่อเวอร์ชันโมเดลไม่เปลี่ยนแปลง
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น50
1 – 50
จำนวนขั้นตอนการอนุมานที่จะดำเนินการ
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น7.5
0 – 20
สเกลของ guidance ที่ใช้กับโมเดล
octree_resolutionไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น256
1 – 1,024
ความละเอียดของ octree ของโมเดล
textured_meshไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
จำเป็น

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan3d/v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 160,
    "usd": "0.16",
    "charged": 160,
    "refunded": 0
  },
  "input": {
    "input_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
model_mesh
object {url, content_type, file_name, file_size}ไฟล์ที่มีวัตถุ 3D ที่สร้างขึ้น
seed
integerSeed ที่ใช้ระหว่างการสร้าง

โมเดลเพิ่มเติม: ภาพเป็น 3D

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/hunyuan3d/v2.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt